from setuptools import setup


with open('README.md', 'r', encoding='utf-8') as fh:
    long_description = fh.read()

setup(
    name='py_searchconsole',
    version='1.0.1',
    description='A Python wrapper for the Google Search Console API',
    long_description=long_description,
    long_description_content_type='text/markdown',
    author='Rahul Katoch',
    author_email='rahulkatoch99@gmail.com',
    url='https://github.com/Rahulkatoch99/py_searchconsole',
    packages=[''],
    # package_dir={'': 'src'},
    py_modules=['py_searchconsole'],
    install_requires=[
        'apiclient',
        'google-api-python-client',
        'httplib2',
        'oauth2client'
    ],
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10'
    ],
    keywords='search console api google seo',
    python_requires='>=3.6',
)
